Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.xpath
Class XPath.AxisStep

    java.lang.Object
      org.modeshape.jcr.query.xpath.XPath.Component
          org.modeshape.jcr.query.xpath.XPath.StepExpression
              org.modeshape.jcr.query.xpath.XPath.AxisStep

Enclosing class:
  XPath

    public static class XPath.AxisStep

extends XPath.StepExpression

Constructor Summary
`XPath.AxisStep(XPath.NodeTest nodeTest, List<XPath.Component> predicates)`

Method Summary
`XPath.Component` | `collapse()` Return the collapsable form
`boolean` | `equals(Object obj)`
`XPath.NodeTest` | `getNodeTest()`
`List<XPath.Component>` | `getPredicates()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPath.AxisStep

    public XPath.AxisStep(XPath.NodeTest nodeTest,
                          List<XPath.Component> predicates)

Method Detail

### getNodeTest

    public XPath.NodeTest getNodeTest()

  Returns:
    nodeTest

### getPredicates

    public List<XPath.Component> getPredicates()

  Returns:
    predicates

### collapse

    public XPath.Component collapse()

  Description copied from class: `XPath.Component`
  Return the collapsable form

  Overrides:
    `collapse` in class `XPath.Component`
  Returns:
    the collapsed form of th is component; never null and possibly the same as this

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.